<?php

namespace App\Http\Controllers;
use App\Models\DonationModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class DonateController extends Controller
{
    public function create(){
        return view('donate');
    }
   
    public function store(Request $request){
        $attributes = request()->validate([
            'name' => ['required', 'max:50'],
            'email' => ['required', 'email', 'max:50'],
            'amount' => ['required', 'max:50'],
            'details' => ['required', 'max:100'],
            'chequenumber' => ['required', 'max:100'],
        ]);

        $donor_details = DonationModel::create([
            'donor_name' => $attributes['name'],
            'email' => $attributes['email'],
            'amount' => $attributes['amount'],
            'payment_details' => $attributes['details'],
            'mode_of_payment' => $request->paymentmode,
            'payment_date' => $request->paymentdate,
            'purpose' => $request->purpose,
            'event_date' => $request->eventdate,
            'chequenumber' => $request->chequenumber,
        ]);
    

       return redirect('/donations')->with('success','Donation Added successfully');
    }

    public function show(){
        // $payment_modes = DonationModel::get()->unique('mode_of_payment');
        // $payment_modes = DB::table('donation_models')->distinct()->get('mode_of_payment');
        // print_r($payment_modes[2]->mode_of_payment);
        // die();

        $donation_data = DonationModel::all();
        return view('alldonations', compact('donation_data'));
    }
    public function destroy($id)
    {
        $model = DonationModel::where('id', $id)->delete();
        return redirect('/donations')->with('success', 'donation removed.'); 
    } 
   
    public function filter(Request $request){
        $val = $request->all();
        
        
        $filterArray = array();
        
        if(isset($request->paymentmode))
        {
            $mode_of_payment = $request->paymentmode;
            $filterArray["mode_of_payment"] = $mode_of_payment;
            //$donation_data = DonationModel::where('mode_of_payment',$mode_of_payment)->get();
        }
        if(isset($request->purpose))
        {
            $purpose = $request->purpose;
            $filterArray["purpose"] = $purpose;
        }
        if(isset($request->paymentdate))
        {
            $paymentdate = $request->paymentdate;
           $string = explode('-',$paymentdate);

            $date1 = explode('/',$string[0]);
            $date2 = explode('/',$string[1]);
            
            $finalDate1 = $date1[2].'-'.$date1[0].'-'.$date1[1];
            $finalDate2 = $date2[2].'-'.$date2[0].'-'.$date2[1];
             $donation_data = DonationModel::whereBetween('payment_date',[
              $finalDate1,
              $finalDate2,
            ])->count();
              

die();
        }
        
        
        if(count($filterArray)>0)
        {
            $donation_data = DonationModel::where($filterArray)->get();
        }
        else
        {
           $donation_data = DonationModel::all(); 
        }
        
        return view('alldonations', compact('donation_data'));
    }
}
