<?php

namespace App\Http\Controllers;
use App\Models\ExpenseModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class ExpenseController extends Controller
{
   
    public function expense() {
        return view('/expense');
    }
  
    public function expenseform(){
        $expense_data = ExpenseModel::all();
        return view('/expenseform', compact('expense_data'));
    }
   
    public function store(Request $request){
        $attributes = request()->validate([
            'name' => ['required', 'max:50'],
            'amount' => ['required', 'max:50'],
            'details' => ['required', 'max:100'],
            'paymentmode' => ['required', 'max:50'],
            'paymentdate' => ['required', 'max:50'], 
            'chequenumber' => ['required', 'max:50'], 
            'created_at' => date('Y-m-d H:i:s'),
        ]);

        $expense_details = ExpenseModel::create([ 
            'name' => $attributes['name'],
            'amount' => $attributes['amount'],
            'payment_details' => $attributes['details'],
            'mode_of_payment' => $attributes['paymentmode'],
            'payment_date' => $attributes['paymentdate'],
            'chequenumber' => $attributes['chequenumber'],
            'created_at' => date('Y-m-d H:i:s'),
        ]);

        return redirect('/expense')->with('success','Expense Added successfully');
    }

    public function show(){
        $expense_data = ExpenseModel::all();
        return view('expense', compact('expense_data'));
    }
    public function edit($id)
    {
        $expense = ExpenseModel::find($id);
        return view('/expenseform', compact('expense'));
    }

    public function update(Request $request,$id)
    {
        $attributes = $request->validate([
            'name' => ['required', 'max:50'],
            'amount' => ['required', 'max:50',],
            'payment_details' => ['required', 'max:100'],
            'mode_of_payment' => ['required', 'max:50'],
            'payment_date' => ['required', 'max:50'],
        ]);

        $update = array(
            "name" => $request->name,
            "amount" => $request->amount,
            "payment_details" => $request->payment_details,
            "mode_of_payment" => $request->mode_of_payment,
            "payment_date" => $request->payment_date,
        );
        ExpenseModel::find($id)->update($update);
        return redirect('/expense')->with('success','Expense updated successfully');
    }


    public function destroy($id)
    {
        $model = ExpenseModel::where('id', $id)->delete();
        return redirect('/expense')->with('success', 'Expense removed.'); 
    } 
}

   
