<?php

namespace App\Http\Controllers;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class UserformController extends Controller

{
    public function userform(){
        return view('userform');
    }
    public function expense(){
        return view('expense');
    }

    public function usermanage(){
        return view('user-management');
    }
   
   
    public function store(Request $request){
        $attributes = request()->validate([
            'name' => ['required', 'max:50'],
            'email' => ['required', 'email', 'max:50', 'unique:users'],
            'password' => ['required', 'max:50'],
            'role' => ['required', 'max:100'],
            'phone' => ['required', 'max:50','unique:users'],
            'location' => ['required', 'max:50'],
            'created_at' => date('Y-m-d H:i:s'),
        ]);

        $user_details = User::create([
            'name' => $attributes['name'],
            'email' => $attributes['email'],
            'password' => Hash::make($attributes['password']),
            'role' => $attributes['role'],
            'phone' => $attributes['phone'],
            'location' => $attributes['location'],
            'created_at' => date('Y-m-d H:i:s'),
        ]);

        return redirect('/user-management')->with('success','User Added successfully');
    }

    public function show(){
        $user_data = User::all();
        return view('user-management', compact('user_data'));
    }
    public function edit($id)
    {
        $user = User::find($id);
        return view('edituser', compact('user'));
    }

    public function update(Request $request,$id)
    {
        $attributes = $request->validate([
            'name' => ['required', 'max:50'],
            'email' => ['required', 'email', 'max:50', 'unique:users,email,'. $id],
            'phone' => ['required', 'max:50', 'unique:users,phone,'. $id],
            'role' => ['required', 'max:100'],
            'location' => ['required', 'max:50'],
        ]);

        $update = array(
            "name" => $request->name,
            "email" => $request->email,
            "role" => $request->role,
            "phone" => $request->phone,
            "location" => $request->location,
        );
        User::find($id)->update($update);
        return redirect('/user-management')->with('success','User updated successfully');
    }


    public function destroy($id)
    {
        $model = User::where('id', $id)->delete();
        return redirect('/user-management')->with('success', 'User removed.'); 
    } 
  
}
