@extends('layouts.user_type.auth')

@section('content')

    <main class="main-content position-relative max-height-vh-100 h-100 mt-1 border-radius-lg ">
        <div class="container-fluid py-4">
            <div class="card">
                <div class="card-header pb-0 px-3">
                    <h3 class="mb-0">EDIT USER</h3>
                </div>
                <div class="card-body pt-4 p-3">
                    <form action="{{ url('update')}}/{{$user->id}}" method="POST" role="form text-left">
                        @csrf 
                      

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="user-name" class="form-control-label">{{ __('User Name') }}</label>
                                    <div class="@error('name') @enderror">
                                        <input class="form-control" type="text" value="{{$user->name}}" id="user-name" name="name">
                                        @error('name')
                                                <p class="text-danger text-xs mt-2">{{ $message }}</p>
                                            @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="user-email" class="form-control-label">{{ __('User Email Address') }}</label>
                                    <div class="@error('email') @enderror">
                                        <input class="form-control" type="email" value="{{ $user->email }}" id="email" name="email">
                                        @error('email')
                                                <p class="text-danger text-xs mt-2">{{ $message }}</p>
                                            @enderror
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <!-- <div class="col-md-6">
                                <div class="form-group">
                                    <label for="password" class="form-control-label">{{ __('Password') }}</label>
                                    <div class="@error('password') @enderror">
                                        <input class="form-control" type="string" value="{{ $user->password }}" id="password" name="password">
                                          
                                    </div>
                                </div>
                            </div>         -->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="role">{{ 'Role' }}</label>
                                    <div class="@error('role')border border-danger rounded-3 @enderror">
                                        <select class="form-control" id="role" name="role" value="{{ $user->role }}">
                                             <option value="" disabled selected>Select Role</option>
                                            <option value="0">Admin</option>
                                            <option value="1">Staff</option>
                                        </select>
                                    </div>        
                                </div>
                            </div>
                        
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="phone" class="form-control-label">{{ __('Mobile Number') }}</label>
                                    <div class="@error('phone') @enderror">
                                        <input class="form-control" type="integer" value="{{ $user->phone }}" id="phone" name="phone">
                                        @error('phone')
                                                <p class="text-danger text-xs mt-2">{{ $message }}</p>
                                            @enderror
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="location" class="form-control-label">{{ __('Location') }}</label>
                                    <div class="@error('location') border border-danger rounded-3 @enderror">
                                        <input class="form-control" type="string" value="{{ $user->location }}" id="location" name="location">
                                    </div>
                                </div>
                            </div>
                        </div>
                        </div>
                        
                        <div class="d-flex justify-content-end">
                            <button type="submit" class="btn bg-gradient-dark btn-md mt-4 mb-4">{{ 'Edit User' }}</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </main>
@endsection