<?php

use App\Http\Controllers\ChangePasswordController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\InfoUserController;
use App\Http\Controllers\RegisterController;
use App\Http\Controllers\ResetController;
use App\Http\Controllers\SessionsController;
use App\Http\Controllers\DonateController;
use App\Http\Controllers\UserformController;
use App\Http\Controllers\ExpenseController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Password;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group(['middleware' => 'auth'], function () {
 
    Route::get('/', [HomeController::class, 'home']);
	Route::get('dashboard', [HomeController::class, 'dashboard'])->name('dashboard');

	Route::get('billing', function () {
		return view('billing');
	})->name('billing');

	Route::get('profile', function () {
		return view('profile');
	})->name('profile');

	Route::get('rtl', function () {
		return view('rtl');
	})->name('rtl');

	

	// Route::get('tables', function () {
	// 	$donation_data = 
	// 	return view('tables');
	// })->name('tables');
	Route::get('/donations', [DonateController::class, 'show'])->name('donations');
	Route::post('/donations', [DonateController::class, 'filter'])->name('donations');
	Route::get('donate/delete/{id}',[DonateController:: class,'destroy']);
	Route::get('/donate', [DonateController::class, 'create']);
	Route::post('/donate', [DonateController::class, 'store']);
	
	Route::get('/expense', [ExpenseController::class, 'expense'])->name('expense');
	Route::get('/expense', [ExpenseController::class, 'show'])->name('expense');
	Route::post('/expense', [ExpenseController::class, 'filter'])->name('expense');
	Route::get('/expenseform', [ExpenseController::class, 'expenseform'])->name('expenseform');
	Route::post('/expenseform', [ExpenseController::class, 'store']);
	Route::get('expense/delete/{id}',[ExpenseController:: class,'destroy']);
	Route::get('/edit/{id}',[ExpenseController:: class,'edit']);
	Route::post('/update/{id}',[ExpenseController:: class,'update']);
	
	
	Route::get('/user-management', [UserformController::class, 'show'])->name('user-management');
	Route::post('/user-management', [UserformController::class, 'filter'])->name('user-management');

	Route::get('/userform',[UserformController::class,'userform'])->name('userform');
	Route::post('/userform', [UserformController::class, 'store']);
	Route::get('user/delete/{id}',[UserformController:: class,'destroy']);
	Route::get('/edituser/{id}',[UserformController:: class,'edit']);
	Route::post('/update/{id}',[UserformController:: class,'update']);
 

    Route::get('virtual-reality', function () {
		return view('virtual-reality');
	})->name('virtual-reality');

    Route::get('static-sign-in', function () {
		return view('static-sign-in');
	})->name('sign-in');

    Route::get('static-sign-up', function () {
		return view('static-sign-up');
	})->name('sign-up');

    Route::get('/logout', [SessionsController::class, 'destroy']);
	Route::get('/my-profile', [InfoUserController::class, 'create']);
	Route::post('/my-profile', [InfoUserController::class, 'store']);
    Route::get('/login', function () {
		return view('dashboard');
	})->name('sign-up');
});



Route::group(['middleware' => 'guest'], function () {
    Route::get('/register', [RegisterController::class, 'create']);
    Route::post('/register', [RegisterController::class, 'store']);
    Route::get('/login', [SessionsController::class, 'create']);
    Route::post('/session', [SessionsController::class, 'store']);
	Route::get('/login/forgot-password', [ResetController::class, 'create']);
	Route::post('/forgot-password', [ResetController::class, 'sendEmail']);
	Route::get('/reset-password/{token}', [ResetController::class, 'resetPass'])->name('password.reset');
	Route::post('/reset-password', [ChangePasswordController::class, 'changePassword'])->name('password.update');

});

Route::get('/login', function () {
    return view('session/login-session');
})->name('login');